cURL
curl --request GET \
--url http://studio.premai.io/api/v1/public/recommendations/{snapshotId} \
--header 'Authorization: Bearer <token>'import requests
url = "http://studio.premai.io/api/v1/public/recommendations/{snapshotId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://studio.premai.io/api/v1/public/recommendations/{snapshotId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"snapshot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "processing",
"recommended_models": [
{
"base_model_id": "<string>",
"recommended": true,
"full_hyperparameters": {
"n_epochs": 123,
"batch_size": 123,
"learning_rate_multiplier": 123
},
"lora_hyperparameters": {
"n_epochs": 123,
"batch_size": 123,
"learning_rate_multiplier": 123
},
"reason_for_recommendation": "<string>"
}
],
"recommended_experiments": [
{
"base_model_id": "<string>",
"batch_size": 123,
"learning_rate_multiplier": 123,
"n_epochs": 123,
"training_type": "full",
"recommended": true,
"reason_for_recommendation": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Recommendations API
Get Recommendations
Poll recommendation status and view suggested models.
GET
/
api
/
v1
/
public
/
recommendations
/
{snapshotId}
cURL
curl --request GET \
--url http://studio.premai.io/api/v1/public/recommendations/{snapshotId} \
--header 'Authorization: Bearer <token>'import requests
url = "http://studio.premai.io/api/v1/public/recommendations/{snapshotId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://studio.premai.io/api/v1/public/recommendations/{snapshotId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"snapshot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "processing",
"recommended_models": [
{
"base_model_id": "<string>",
"recommended": true,
"full_hyperparameters": {
"n_epochs": 123,
"batch_size": 123,
"learning_rate_multiplier": 123
},
"lora_hyperparameters": {
"n_epochs": 123,
"batch_size": 123,
"learning_rate_multiplier": 123
},
"reason_for_recommendation": "<string>"
}
],
"recommended_experiments": [
{
"base_model_id": "<string>",
"batch_size": 123,
"learning_rate_multiplier": 123,
"n_epochs": 123,
"training_type": "full",
"recommended": true,
"reason_for_recommendation": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Was this page helpful?